var Knockback = function(name, direction, howMuch, howFast) {
	var amplitude = howMuch || 15;
	var duration  = howFast || 250;
	var time = GetTime();
	var x = GetPersonX(name);
	var y = GetPersonY(name);
	var f = function() {
		// Just in case the person no longer exists!
		if (!IsInPersonList(name)) return true;
		
		var t = (GetTime() - time) / duration;
		var dx = easeIn(0, amplitude, t);
		for (var i = 1; i <= dx; i++) {
			if (!IsPersonObstructed(name, x + i * direction, y))
				SetPersonX(name, x + i * direction);
			else return true;
		}
		return t >= 1;
	};
	return f;
}