function DrawDownArrow(over_person, interval) {
	var t = interval || 1000;
	var img = DrawDownArrow.image;
	var x = GetPersonX(over_person);
	var y = GetPersonY(over_person) - 16;
	var time = GetTime();
	var factor = 2 * Math.PI;
	var f = function() {
		var dt = GetTime() - time;
		img.blitFromBase(x, y - 5 * Math.sin(factor * dt / 600));
		img.update();
		if (dt > t) return true;
	}
	return f;
}

DrawDownArrow.image = new SpriteImage("DownArrow.rss");