// Scene one
var scene = new CutScene();
with (scene) {
	message("Pita", "Hey.<input/> Name's <red>Pita</red>.<input/> Let's go save my girlfriend. She is only my girlfriend for random plot purposes.");
}

var Lightning = function() {
	if (GetTime() > Lightning.time) {
		Lightning.mask = !Lightning.mask;
		Lightning.time = GetTime() + Math.random() * 10000 + 2000;
	}
	if (Lightning.mask) {
		ReplaceTilesOnLayer(0, 1, 2);
		SetDelayScript(5, "ReplaceTilesOnLayer(0, 2, 1)");
		SetDelayScript(10, "ReplaceTilesOnLayer(0, 1, 2)");
		SetDelayScript(15, "ReplaceTilesOnLayer(0, 2, 1)");
		Lightning.mask = false;
	}
};
Lightning.time = 0;
Lightning.mask = true;

var FollowEye = function() {
	var pitax = GetPersonX("Pita");
	var pitay = GetPersonY("Pita");
	var eyex  = 130; // found using the screen coords in the map editor.
	var eyey  = 73;
	if (pitax < eyex) {
		if (pitay - eyey < 60)
			SetTile(8, 4, 1, 16); // left eye
		else SetTile(8, 4, 1, 17); // lower left eye
	} else if (pitay - eyey < 60)
		SetTile(8, 4, 1, 19);  // right eye
	else SetTile(8, 4, 1, 18); // lower right eye
};

({
	seenTwo: false,
	enter: function () {
		RenderHooks.add(DrawDownArrow("Pita"));
		RenderHooks.add(Lightning);
		UpdateHooks.add(FollowEye);
		SetPersonScript("Pita", SCRIPT_ON_ACTIVATE_TOUCH, "Touch('Pita')");
	},
	leave: function() {
		RenderHooks.remove(Lightning);
		RenderHooks.remove(FollowEye);
	},
	Box_1: Pushable(),
	Box_2: Pushable(),
	Push_1: NPC(function() {
		var scene = new CutScene();
		with (scene) {
			message("Push", "Hey. You look like you need some help. So how about it?<input/>\nAll right. Hand me your gun for a bit...");
			pause(2000);
			message("Push", "Done. Now you can push blocks. How cool is that? By the way, name's <blue>Push</blue>. Nice to meetcha.");
		}
		scene.execute();
		PushGun();
	}, function() {
		var scene = new CutScene();
		scene.message("Push", "What are you doing? My role in this game is over. Leave me alone. My life sucks.");
		scene.execute();
	}),
	Darl_2: Enemy(2, 10),
	sceneTwo: function() {
		if (this.seenTwo === true) return;
		this.seenTwo = true;
		var scene2 = new CutScene();
		with (scene2) {
			message("Pita", LOC_TOP,
			        "Hey.<input/> You there. Yeah, you, the guy controlling me.<input/> I'm <blue>Pita</blue>.<input/> Let's go save my <blue>girlfriend</blue>.",
			        "Well, to be technical, she's only my girlfriend for random plot purposes.<input/> But let's do it anyway. It'll be fun.");
		}
		//scene2.execute();
	}
})