var easeIn = function(start_val, end_val, x) {
	if (x >= 1) return end_val;
	var dVal = end_val - start_val;
	return dVal * Math.sin(Math.PI * .5 * x) + start_val;
};

var easeOut = function(start_val, end_val, x) {
	if (x >= 1) return end_val;
	var dVal = end_val - start_val;
	return dVal * Math.sin(Math.PI * .5 * x - Math.PI * .5) + start_val + dVal;
};
	
var easeInOut = function(start_val, end_val, x) {
	if (x >= 1) return end_val;
	var half_amp = (end_val - start_val) * .5;
	return half_amp * Math.sin(Math.PI * x - Math.PI * .5) + start_val + half_amp;
};